import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { WKInactiveSchedulingPolicy } from "./WKInactiveSchedulingPolicy.js";
export declare class _WKPreferences extends _NSObject {
    static alloc(): _WKPreferences;
    static new(): _WKPreferences;
    init(): _WKPreferences;
    /** The minimum font size in points. The default value is 0. */
    minimumFontSize(): number;
    setMinimumFontSize$(value: number): void;
    /**
     * A Boolean value indicating whether JavaScript can open windows without user interaction. The default value is NO in iOS and YES in OS X.
     */
    javaScriptCanOpenWindowsAutomatically(): boolean;
    setJavaScriptCanOpenWindowsAutomatically$(value: boolean): void;
    /**
     * A Boolean value indicating whether warnings should be shown for suspected fraudulent content such as phishing or malware. The default value is YES.
     */
    fraudulentWebsiteWarningEnabled(): boolean;
    setFraudulentWebsiteWarningEnabled$(value: boolean): void;
    /**
     * A Boolean value indicating whether the web view should include backgrounds when printing. The default value is `NO`.
     */
    shouldPrintBackgrounds(): boolean;
    setShouldPrintBackgrounds$(value: boolean): void;
    /**
     * If tabFocusesLinks is YES, the tab key will focus links and form controls. The Option key temporarily reverses this preference.
     */
    tabFocusesLinks(): boolean;
    setTabFocusesLinks$(value: boolean): void;
    /** A Boolean value indicating whether text interaction is disabled. */
    textInteractionEnabled(): boolean;
    setTextInteractionEnabled$(value: boolean): void;
    /**
     * A Boolean value indicating whether WebKit will apply built-in workarounds (quirks) to improve compatibility with certain known websites. You can disable site-specific quirks to help test your website without these workarounds. Enabled by default.
     */
    siteSpecificQuirksModeEnabled(): boolean;
    setSiteSpecificQuirksModeEnabled$(value: boolean): void;
    /**
     * A Boolean value indicating whether Fullscreen API is enabled. The default value is NO. We can set it to YES to enable support for the fullscreen API.
     */
    elementFullscreenEnabled(): boolean;
    setElementFullscreenEnabled$(value: boolean): void;
    /**
     * Specify the scheduling policy for the web view when it is inactive and detached from the view hierarchy. Web views are not considered idle when playing media or loading web pages. A suspended web view will pause JavaScript execution and page layout.
     */
    inactiveSchedulingPolicy(): WKInactiveSchedulingPolicy;
    setInactiveSchedulingPolicy$(value: WKInactiveSchedulingPolicy): void;
    /** @deprecated Java is no longer supported */
    javaEnabled(): boolean;
    setJavaEnabled$(value: boolean): void;
    /** @deprecated Plug-ins are no longer supported */
    plugInsEnabled(): boolean;
    setPlugInsEnabled$(value: boolean): void;
    /**
     * @deprecated Use WKWebpagePreferences.allowsContentJavaScript to disable content JavaScript on a per-navigation basis
     */
    javaScriptEnabled(): boolean;
    setJavaScriptEnabled$(value: boolean): void;
    /**
     * A Boolean value indicating whether LookToScroll is enabled. The default value is `NO`.
     */
    isLookToScrollEnabled(): boolean;
    setIsLookToScrollEnabled$(value: boolean): void;
}
export interface _WKPreferences extends _NSSecureCoding {
}
